// replace #include <boost/tr1/regex.hpp> with
//         #include <regex>
#include <boost/tr1/regex.hpp>

#include <iostream>
#include <string>

// replace std::tr1:: with std:: in the source code
int main(){

  std::cout << std::endl;

  std::string emailText="A text with an email adresse: rainer@grimm-jaud.de.";

  // regular expression for the email address
  std::string regExprStr(R"(([\w.%+-]+)@([\w.-]+\.[a-zA-Z]{2,4}))");

  // regular expression holder
  std::tr1::regex rgx(regExprStr);

  // search result holder
  std::tr1::smatch smatch;

  // searching for a match
  if (std::tr1::regex_search(emailText,smatch,rgx)){

    std::cout << "Text: " << emailText << std::endl;
    std::cout << std::endl;
    std::cout << "Before the email address: " << smatch.prefix() << std::endl;
    std::cout << "After the email address: " << smatch.suffix() << std::endl;
    std::cout << std::endl;
    std::cout << "Length of email adress: " << smatch.length() << std::endl;
    std::cout << std::endl;
    std::cout << "Email address: " << smatch[0] << std::endl;
    std::cout << "Local part: " << smatch[1] << std::endl;
    std::cout << "Domain name: " << smatch[2] << std::endl;

  }

  std::cout << std::endl;

}
